package cn.superdesk.uniorder.dao.mapper.operationCenter;

import cn.superdesk.uniorder.dao.entity.operationCenter.OperationCenterPaymentOperator;
import cn.superdesk.uniorder.dao.entity.operationCenter.OperationCenterPaymentOperatorExample;
import java.util.List;

import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;

public interface OperationCenterPaymentOperatorMapper {
    long countByExample(OperationCenterPaymentOperatorExample example);

    int deleteByExample(OperationCenterPaymentOperatorExample example);

    int deleteByPrimaryKey(Long id);

    int insert(OperationCenterPaymentOperator record);

    int insertSelective(OperationCenterPaymentOperator record);

    List<OperationCenterPaymentOperator> selectByExample(OperationCenterPaymentOperatorExample example);

    OperationCenterPaymentOperator selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") OperationCenterPaymentOperator record, @Param("example") OperationCenterPaymentOperatorExample example);

    int updateByExample(@Param("record") OperationCenterPaymentOperator record, @Param("example") OperationCenterPaymentOperatorExample example);

    int updateByPrimaryKeySelective(OperationCenterPaymentOperator record);

    int updateByPrimaryKey(OperationCenterPaymentOperator record);

    @Delete("delete from tb_operation_center_payment_operator where payment_id = #{paymentId}")
    void deleteByPaymentId(Long paymentId);
}